
package com.tmerclub.cloud.api.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * @author cl
 * @date 2021-05-22 14:30:11
 */
public class CustomerRetainVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "当前月")
    private String currentMonth;

    @Schema(description = "成交月")
    private String dealMonth;

    @Schema(description = "新访问/成交客户数")
    private Integer newCustomers;

    @Schema(description = "第1月留存")
    private Integer firstMonthRemain;
    @Schema(description = "第1月留存率")
    private BigDecimal firstMonthRemainRate;

    @Schema(description = "第2月留存")
    private Integer secondMonthRemain;
    @Schema(description = "第2月留存率")
    private BigDecimal secondMonthRemainRate;

    @Schema(description = "第3月留存")
    private Integer thirdMonthRemain;
    @Schema(description = "第3月留存率")
    private BigDecimal thirdMonthRemainRate;

    @Schema(description = "第4月留存")
    private Integer fourthMonthRemain;
    @Schema(description = "第4月留存率")
    private BigDecimal fourthMonthRemainRate;

    @Schema(description = "第5月留存")
    private Integer fifthMonthRemain;
    @Schema(description = "第5月留存率")
    private BigDecimal fifthMonthRemainRate;

    @Schema(description = "第6月留存")
    private Integer sixthMonthRemain;
    @Schema(description = "第6月留存率")
    private BigDecimal sixthMonthRemainRate;


    public String getCurrentMonth() {
        return currentMonth;
    }

    public void setCurrentMonth(String currentMonth) {
        this.currentMonth = currentMonth;
    }

    public Integer getNewCustomers() {
        return newCustomers;
    }

    public void setNewCustomers(Integer newCustomers) {
        this.newCustomers = newCustomers;
    }

    public Integer getFirstMonthRemain() {
        return firstMonthRemain;
    }

    public void setFirstMonthRemain(Integer firstMonthRemain) {
        this.firstMonthRemain = firstMonthRemain;
    }

    public BigDecimal getFirstMonthRemainRate() {
        return firstMonthRemainRate;
    }

    public void setFirstMonthRemainRate(BigDecimal firstMonthRemainRate) {
        this.firstMonthRemainRate = firstMonthRemainRate;
    }

    public Integer getSecondMonthRemain() {
        return secondMonthRemain;
    }

    public void setSecondMonthRemain(Integer secondMonthRemain) {
        this.secondMonthRemain = secondMonthRemain;
    }

    public BigDecimal getSecondMonthRemainRate() {
        return secondMonthRemainRate;
    }

    public void setSecondMonthRemainRate(BigDecimal secondMonthRemainRate) {
        this.secondMonthRemainRate = secondMonthRemainRate;
    }

    public Integer getThirdMonthRemain() {
        return thirdMonthRemain;
    }

    public void setThirdMonthRemain(Integer thirdMonthRemain) {
        this.thirdMonthRemain = thirdMonthRemain;
    }

    public BigDecimal getThirdMonthRemainRate() {
        return thirdMonthRemainRate;
    }

    public void setThirdMonthRemainRate(BigDecimal thirdMonthRemainRate) {
        this.thirdMonthRemainRate = thirdMonthRemainRate;
    }

    public Integer getFourthMonthRemain() {
        return fourthMonthRemain;
    }

    public void setFourthMonthRemain(Integer fourthMonthRemain) {
        this.fourthMonthRemain = fourthMonthRemain;
    }

    public BigDecimal getFourthMonthRemainRate() {
        return fourthMonthRemainRate;
    }

    public void setFourthMonthRemainRate(BigDecimal fourthMonthRemainRate) {
        this.fourthMonthRemainRate = fourthMonthRemainRate;
    }

    public Integer getFifthMonthRemain() {
        return fifthMonthRemain;
    }

    public void setFifthMonthRemain(Integer fifthMonthRemain) {
        this.fifthMonthRemain = fifthMonthRemain;
    }

    public BigDecimal getFifthMonthRemainRate() {
        return fifthMonthRemainRate;
    }

    public void setFifthMonthRemainRate(BigDecimal fifthMonthRemainRate) {
        this.fifthMonthRemainRate = fifthMonthRemainRate;
    }

    public Integer getSixthMonthRemain() {
        return sixthMonthRemain;
    }

    public void setSixthMonthRemain(Integer sixthMonthRemain) {
        this.sixthMonthRemain = sixthMonthRemain;
    }

    public BigDecimal getSixthMonthRemainRate() {
        return sixthMonthRemainRate;
    }

    public void setSixthMonthRemainRate(BigDecimal sixthMonthRemainRate) {
        this.sixthMonthRemainRate = sixthMonthRemainRate;
    }

    public String getDealMonth() {
        return dealMonth;
    }

    public void setDealMonth(String dealMonth) {
        this.dealMonth = dealMonth;
    }

    @Override
    public String toString() {
        return "CustomerRetainVO{" +
                "currentMonth=" + currentMonth +
                ", newCustomers=" + newCustomers +
                ", dealMonth=" + dealMonth +
                ", firstMonthRemain=" + firstMonthRemain +
                ", firstMonthRemainRate=" + firstMonthRemainRate +
                ", secondMonthRemain=" + secondMonthRemain +
                ", secondMonthRemainRate=" + secondMonthRemainRate +
                ", thirdMonthRemain=" + thirdMonthRemain +
                ", thirdMonthRemainRate=" + thirdMonthRemainRate +
                ", fourthMonthRemain=" + fourthMonthRemain +
                ", fourthMonthRemainRate=" + fourthMonthRemainRate +
                ", fifthMonthRemain=" + fifthMonthRemain +
                ", fifthMonthRemainRate=" + fifthMonthRemainRate +
                ", sixthMonthRemain=" + sixthMonthRemain +
                ", sixthMonthRemainRate=" + sixthMonthRemainRate +
                '}';
    }
}
